[API Reference](../README.md) > [ITruffleContractFunction](../interfaces/ITruffleContractFunction.md)



# Interface: ITruffleContractFunction

## Hierarchy


 `function`

**↳ ITruffleContractFunction**







## Callable
► **__call**(args?: *`Array`.<`any`>*): `Promise`.<[Hash](../#Hash)>



*Defined in contractWrapperBase.ts:360*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| args | `Array`.<`any`>   |  - |





**Returns:** `Promise`.<[Hash](../#Hash)>





## Properties
<a id="estimateGas"></a>

###  estimateGas

**●  estimateGas**:  *`function`* 

*Defined in contractWrapperBase.ts:364*


#### Type declaration
►(args?: *`Array`.<`any`>*): `number`



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| args | `Array`.<`any`>   |  - |





**Returns:** `number`






___

<a id="sendTransaction"></a>

###  sendTransaction

**●  sendTransaction**:  *`function`* 

*Defined in contractWrapperBase.ts:363*


#### Type declaration
►(args?: *`Array`.<`any`>*): `Promise`.<[Hash](../#Hash)>



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| args | `Array`.<`any`>   |  - |





**Returns:** `Promise`.<[Hash](../#Hash)>






___


